<?php
    /**
     * Template Name: Gallery Page
     *
     * @package Theme Palace
     * @subpackage EduMag Pro
     * @since EduMag Pro 1.0
     */
    get_header();

    $page_title = get_the_title();
    ?>
    <section id="portfolio-gallery" class="page-section">
        <div class="container">
       		<?php 
	    	$categories_id = get_post_meta( get_the_id(), 'edumag-pro-gallery-template', true );

	    	if ( empty( $categories_id ) ) : ?>
	    		<div id="primary" class="content-area">
					<main id="main" class="site-main" role="main">
						<?php get_template_part( 'template-parts/content', 'page' ); ?>
					</main><!-- #main -->
				</div><!-- #primary -->
	    	<?php else : ?>

          	<div class="entry-content">
          	<?php if ( ! empty( $page_title ) ){ ?>
            	<header class="entry-header text-center wow fadeInUp" data-wow-delay="0.1s" data-wow-duration="0.5s">
                <h2 class="entry-title"><?php echo esc_html( $page_title ); ?></h2>
              	</header>
            <?php } ?>

	            <nav class="portfolio-filter wow fadeInDown" data-wow-delay="0.1s" data-wow-duration="0.5s">
	              	<ul>
	                  	<li class="active"><a href="#" data-filter="*"><?php esc_html_e( 'All','edumag-pro' ); ?></a></li>
	                   	<?php foreach ( $categories_id as $key => $category_id ) {
			                $category_object = get_category( $category_id );
	                  		echo '<li><a href="#" data-filter=".'. esc_attr( $category_object->slug ) .'">'. esc_html( $category_object->name ) .'</a></li>';
			                }
			            ?>
	              	</ul>
	            </nav> 
	            <div id="four-column" class="portfolio gallery-popup wow fadeInUp" data-wow-delay="0.1s" data-wow-duration="0.5s">
	            <?php 
	            	$post_args = array(
						'category__in'   => $categories_id,
						'posts_per_page' => absint( get_option( 'posts_per_page', 12 ) ), // Maximum number of posts to show on a page; set in Reading Options.,,
	            	);

	            	$gallery_posts = get_posts( $post_args );

	            	if( ! empty( $gallery_posts ) ) :
	            		foreach ( $gallery_posts as $key => $gallery_post ) :
	            			$gallery_post_id = $gallery_post->ID;

	            			$image_array_small = array();
	            			if ( has_post_thumbnail( $gallery_post_id ) ) {
	            				$image_array_small = wp_get_attachment_image_src( get_post_thumbnail_id( $gallery_post_id ), 'edumag-pro-gallery-image' );
	            				$image_array_large = wp_get_attachment_image_src( get_post_thumbnail_id( $gallery_post_id ), 'large' );
	            			} else {
	            				$image_array_small[0] = get_template_directory_uri().'/assets/uploads/no-featured-image-250x250.jpg';
	            				$image_array_large[0] = get_template_directory_uri().'/assets/uploads/no-featured-image-250x250.jpg';
	            			}
	            			
							$post_title      = get_the_title( $gallery_post_id );
							$post_url        = get_the_permalink( $gallery_post_id ); 
							$post_categories = get_the_category( $gallery_post_id );

	            			$post_category_list = '';
	            			foreach ( $post_categories as $key => $post_category ) {
	            				$post_category_list .= $post_category->slug . ' ';
	            			}
	            ?>
	              	<div class="portfolio-item <?php echo esc_attr( $post_category_list );?>">
		                <div class="image-wrapper">
		                  <img src="<?php echo esc_url( $image_array_small[0] ); ?>" alt="<?php echo esc_html( $post_title ); ?>">
		                  <div class="blue-overlay"></div>             
		                </div><!-- .image-wrapper -->
		                <div class="hover-buttons">
		                  	<div class="popup-image">
		                    	<a href="<?php echo esc_url( $image_array_large[0] ); ?>" class="popup">
			                      	<i class="fa fa-eye"></i>
			                      	<img src="<?php echo esc_url( $image_array_large[0] ); ?>" alt="<?php echo esc_html( $post_title ); ?>">
		                    	</a>
		                  	</div><!-- .popup-image -->

		                	<div class="portfolio-link">
		                    	<a href="<?php echo esc_url( $post_url ); ?>"><i class="fa fa-heart"></i></a>
		                	</div><!-- .portfolio-link -->
		                </div><!-- .hover-buttons -->
	              	</div><!-- .portfolio-item -->
	              	<?php endforeach;
	              	endif; 
	            ?>

            	</div><!-- .portfolio -->

	            <div class="text-center">
	            	<a href="#" id="loadmore" class="load-more wow fadeInDown" data-wow-delay="0.3s" data-wow-duration="0.5s"><?php esc_html_e( 'Load more', 'edumag-pro' ) ; ?></a>
	            </div><!-- .text-center -->
          	</div><!-- end .entry-content -->
      	<?php endif; ?>
        </div><!-- .container -->
    </section><!-- #portfolio-gallery -->
    <?php    
    get_footer();