<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
 	 * @subpackage EduMag Pro
 	 * @since EduMag Pro 1.0
	 */

	/**
	 * edumag_pro_doctype hook
	 *
	 * @hooked edumag_pro_doctype -  10
	 *
	 */
	do_action( 'edumag_pro_doctype' );
?>
<head>
<?php
	/**
	 * edumag_pro_before_wp_head hook
	 *
	 * @hooked edumag_pro_head -  10
	 *
	 */
	do_action( 'edumag_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php
	/**
	 * edumag_pro_page_start_action hook
	 *
	 * @hooked edumag_pro_page_start -  10
	 *
	 */
	do_action( 'edumag_pro_page_start_action' ); 

	/**
	 * edumag_pro_loader_action hook
	 *
	 * @hooked edumag_pro_loader -  10
	 * @hooked edumag_pro_top_header - 20
	 * @hooked edumag_pro_add_breadcrumb -  30
	 *
	 */
	do_action( 'edumag_pro_before_header' );

	/**
	 * edumag_pro_header_action hook
	 *
	 * @hooked edumag_pro_header_start -  10
	 * @hooked edumag_pro_site_branding -  20
	 * @hooked edumag_pro_site_navigation -  30
	 * @hooked edumag_pro_header_end -  50
	 *
	 */
	do_action( 'edumag_pro_header_action' );

	/**
	 * edumag_pro_after_header hook
	 *
	 * @hooked edumag_pro_mobile_menu -  10
	 *
	 */
	do_action( 'edumag_pro_after_header' );

	/**
	 * edumag_pro_content_start_action hook
	 *
	 * @hooked edumag_pro_content_start -  10
	 * @hooked edumag_pro_get_header_image -  20
	 *
	 */
	do_action( 'edumag_pro_content_start_action' );

	/**
	 * edumag_pro_primary_content hook
	 *
	 * @hooked edumag_pro_add_featured_category_section -  10
	 * @hooked edumag_pro_add_popular_articles_section -  20
	 * @hooked edumag_pro_add_search_section -  30
	 * @hooked edumag_pro_add_trending_section -  40
	 * @hooked edumag_pro_add_advertisement_section -  50
	 * @hooked edumag_pro_add_latest_news_section -  60
	 *
	 */
	do_action('edumag_pro_primary_content');
